{% extends "layout.html" %}
{% block content %}
<div class="container">
    <div class="jumbotron ">
        <h1>Comments</h1>
        <img src="{{ url_for('static',filename='pictures/')
    }}{{ post.image_file }}" alt="">
        <p>{{ post.caption }}</p>
    </div>
    <table class="table table.striped">
        {% for comment in comments %}
        <tr>
            <td>
                {{ comment.commenter.username}}
            </td>
            <td>
                {{ comment.body }}
            </td>
        </tr>
        {% endfor %}
    </table>
    <div class="col-lg-12 col-md-12">
        <form action="" method="POST">
            {{ form.hidden_tag() }}
            <fieldset class="form-group">
                <div class="form-group">
                    {{ form.body.label(class='form-control-label') }}
                    {% if form.body.errors %}
                    {{ form.body(class='form-control is-invalid') }}
                    <div class="invalid-feedback">
                        {% for error in form.body.errors %}
                        <span>{{ error }}</span>
                        {% endfor %}
                    </div>
                    {% else %}
                    {{ form.body(class='form-control' , placeholder='comment..') }}
                    {% endif %}
                </div>
                <div class="form-group">
                    {{ form.submit(class = "btn btn-outline-primary mr-auto") }}
                </div>
            </fieldset>
        </form>
    </div>
</div>
{% endblock %}